<div class="browse">

    <mr-tabs
    *ngIf="active$ | async as active"
    [centered]="true"
    [active]="active"
    (select)="select($event)">

        <mr-tab-content tabTitle="Amigos" id="requests" [active]="active === 'requests'">
            <ng-container *ngIf="notifications$ | async as notifications">
                <ul *ngIf="notifications.length else empty" class="notification-list">
                    <li mr-request-notification
                    *ngFor="let not of notifications"
                    [notification]="not">
                    </li>
                </ul>
            </ng-container>
        </mr-tab-content>

        <mr-tab-content tabTitle="Hilos" id="invites" [active]="active === 'invites'">
            <ng-container *ngIf="notifications$ | async as notifications">
                <ul *ngIf="notifications.length else empty" class="notification-list">
                    <li mr-invite-notification
                    *ngFor="let not of notifications"
                    [notification]="not">
                    </li>
                </ul>
            </ng-container>
        </mr-tab-content>

    </mr-tabs>

    <mr-loader *ngIf="!(notifications$ | async)"></mr-loader>

</div>

<ng-template #empty>
    <mr-empty message="Parece que no hay nada aquí" icon="la-book-open"></mr-empty>
</ng-template>
